## WDS Get PDN Throttle Info request WDS Get PDN Throttle Info request |

## Functions

QmiMessageWdsGetPdnThrottleInfoInput * | qmi_message_wds_get_pdn_throttle_info_input_new ()
QmiMessageWdsGetPdnThrottleInfoInput * | qmi_message_wds_get_pdn_throttle_info_input_ref ()
void | qmi_message_wds_get_pdn_throttle_info_input_unref ()
gboolean | qmi_message_wds_get_pdn_throttle_info_input_get_network_type ()
gboolean | qmi_message_wds_get_pdn_throttle_info_input_set_network_type ()
QmiMessageWdsGetPdnThrottleInfoOutput * | qmi_message_wds_get_pdn_throttle_info_output_ref ()
void | qmi_message_wds_get_pdn_throttle_info_output_unref ()
gboolean | qmi_message_wds_get_pdn_throttle_info_output_get_result ()
gboolean | qmi_message_wds_get_pdn_throttle_info_output_get_info ()
void | qmi_client_wds_get_pdn_throttle_info ()
QmiMessageWdsGetPdnThrottleInfoOutput * | qmi_client_wds_get_pdn_throttle_info_finish ()

## Types and Values

| QmiMessageWdsGetPdnThrottleInfoInput
| QmiMessageWdsGetPdnThrottleInfoOutput
| QmiMessageWdsGetPdnThrottleInfoOutputInfoElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetPdnThrottleInfoInput
        ╰── QmiMessageWdsGetPdnThrottleInfoOutput

## Description

## Functions

### qmi_message_wds_get_pdn_throttle_info_input_new ()

    QmiMessageWdsGetPdnThrottleInfoInput *
    qmi_message_wds_get_pdn_throttle_info_input_new
                                   (void);

Allocates a new QmiMessageWdsGetPdnThrottleInfoInput.

#### Returns

the newly created QmiMessageWdsGetPdnThrottleInfoInput. The returned value should be freed with `qmi_message_wds_get_pdn_throttle_info_input_unref()`.

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_input_ref ()

    QmiMessageWdsGetPdnThrottleInfoInput *
    qmi_message_wds_get_pdn_throttle_info_input_ref
                                   (QmiMessageWdsGetPdnThrottleInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_input_unref ()

    void
    qmi_message_wds_get_pdn_throttle_info_input_unref
                                   (QmiMessageWdsGetPdnThrottleInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoInput. |

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_input_get_network_type ()

    gboolean
    qmi_message_wds_get_pdn_throttle_info_input_get_network_type
                                   (QmiMessageWdsGetPdnThrottleInfoInput *self,
                                    QmiWdsDataSystemNetworkType *value_network_type,
                                    GError **error);

Get the 'Network Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoInput. |
value_network_type | a placeholder for the output QmiWdsDataSystemNetworkType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_input_set_network_type ()

    gboolean
    qmi_message_wds_get_pdn_throttle_info_input_set_network_type
                                   (QmiMessageWdsGetPdnThrottleInfoInput *self,
                                    QmiWdsDataSystemNetworkType value_network_type,
                                    GError **error);

Set the 'Network Type' field in the message.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoInput. |
value_network_type | a QmiWdsDataSystemNetworkType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_output_ref ()

    QmiMessageWdsGetPdnThrottleInfoOutput *
    qmi_message_wds_get_pdn_throttle_info_output_ref
                                   (QmiMessageWdsGetPdnThrottleInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_output_unref ()

    void
    qmi_message_wds_get_pdn_throttle_info_output_unref
                                   (QmiMessageWdsGetPdnThrottleInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoOutput. |

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_output_get_result ()

    gboolean
    qmi_message_wds_get_pdn_throttle_info_output_get_result
                                   (QmiMessageWdsGetPdnThrottleInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.14

### qmi_message_wds_get_pdn_throttle_info_output_get_info ()

    gboolean
    qmi_message_wds_get_pdn_throttle_info_output_get_info
                                   (QmiMessageWdsGetPdnThrottleInfoOutput *self,
                                    GArray **value_info,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageWdsGetPdnThrottleInfoOutput. |
value_info | a placeholder for the output GArray of QmiMessageWdsGetPdnThrottleInfoOutputInfoElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageWdsGetPdnThrottleInfoOutputInfoElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_client_wds_get_pdn_throttle_info ()

    void
    qmi_client_wds_get_pdn_throttle_info (QmiClientWds *self,
                                          QmiMessageWdsGetPdnThrottleInfoInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a Get PDN Throttle Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_pdn_throttle_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetPdnThrottleInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_wds_get_pdn_throttle_info_finish ()

    QmiMessageWdsGetPdnThrottleInfoOutput *
    qmi_client_wds_get_pdn_throttle_info_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_pdn_throttle_info()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_pdn_throttle_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetPdnThrottleInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_pdn_throttle_info_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageWdsGetPdnThrottleInfoInput

    typedef struct _QmiMessageWdsGetPdnThrottleInfoInput QmiMessageWdsGetPdnThrottleInfoInput;

The QmiMessageWdsGetPdnThrottleInfoInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageWdsGetPdnThrottleInfoOutput

    typedef struct _QmiMessageWdsGetPdnThrottleInfoOutput QmiMessageWdsGetPdnThrottleInfoOutput;

The QmiMessageWdsGetPdnThrottleInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageWdsGetPdnThrottleInfoOutputInfoElement

    typedef struct {
        gboolean ipv4_throttled;
        gboolean ipv6_throttled;
        guint32 ipv4_throttle_time_left_ms;
        guint32 ipv6_throttle_time_left_ms;
        gchar *apn;
    } QmiMessageWdsGetPdnThrottleInfoOutputInfoElement;

A QmiMessageWdsGetPdnThrottleInfoOutputInfoElement struct.

#### Members

gboolean `ipv4_throttled`; | a gboolean. |
gboolean `ipv6_throttled`; | a gboolean. |
guint32 `ipv4_throttle_time_left_ms`; | a guint32. |
guint32 `ipv6_throttle_time_left_ms`; | a guint32. |
gchar *`apn`; | a string. |

Since: 1.14